﻿mpb_favorbar = UI.CreateFrame("Frame","Favor Bar",mpb_ui)
local mpb_max = 300000

function MontsPrestigeBar.FavorBarBuild()
	if MPBSave.favor then
		mpb_favorbar:SetVisible(true)
	else
		mpb_favorbar:SetVisible(false)
	end
	mpb_favorbar:SetLayer(1)
	mpb_favorbar:SetHeight(10*MPBSave.scale)
	mpb_favorbar:SetWidth(0)
	mpb_favorbar:SetBackgroundColor(1,0.5,0,1)
	mpb_favorbar:SetPoint("TOPLEFT",mpb_background,"TOPLEFT",0,mpb_background:GetHeight())
end

function MontsPrestigeBar.FavorBar(mpb_favor)
	local mpb_count = mpb_favor.stack
	mpb_max = mpb_favor.stackMax
	local mpb_percent = mpb_count/mpb_max
	mpb_favorbar:SetWidth(mpb_percent*mpb_background:GetWidth())
	if mpb_percent >= 0.8 then
		mpb_favorbar:SetBackgroundColor(0.8,0,0,1)
	end
	if mpb_percent < 0.8 then
		mpb_favorbar:SetBackgroundColor(1,0.5,0,1)
	end
end

function MontsPrestigeBar.FavorUpdate(mpb_curr)
	--dump(mpb_curr)
	if MPBSave.favor then
		for id,amount in pairs(mpb_curr) do
			if id == "I1BE979014977916D,D836143579B97398,,,,,," then
				local mpb_percent = amount/mpb_max
				mpb_favorbar:SetWidth(mpb_percent*mpb_background:GetWidth())
				mpb_favorbar:SetWidth(mpb_percent*mpb_background:GetWidth())
				if mpb_percent >= 0.8 then
					mpb_favorbar:SetBackgroundColor(0.8,0,0,1)
				end
				if mpb_percent < 0.8 then
					mpb_favorbar:SetBackgroundColor(1,0.5,0,1)
				end
			end
		end
	end
end

table.insert(Event.Currency,{MontsPrestigeBar.FavorUpdate,"MontsPrestigeBar","Favor Updated"})